Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global enable_tests 1
%global srcname oop

Name:           nodejs-%{srcname}
Version:        0.0.3
Release:        alt1_7
Summary:        Node.js module for simple & light-weight oop
License:        MIT
URL:            https://github.com/felixge/node-oop
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz
Source1:        https://raw.githubusercontent.com/felixge/node-oop/master/LICENSE

BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel
Source44: import.info

%description
%{summary}.

%prep
%setup -q -n package
rm -rf node_modules
cp -p %{SOURCE1} .

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}/lib
cp -pr lib/index.js lib/oop.js \
    %{buildroot}%{nodejs_sitelib}/%{srcname}/lib

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
node test/integration/test-*.js
%endif

%files
%doc Readme.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{srcname}

%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 0.0.3-alt1_7
- new version

